The list of changes after this patch (ifm210os.tgz) application.

1. libifmail.so.2.12 is now made instead of iflib.a.

2. New keyword 'dots' is added to config, first symbol of it's value
   is used as a delimiter in user name. It is '.' by default, I'd
   recommend '_'.

3. Localization of ifmail/ifnews - call setlocale() is made.
   The author is Boris Tobotras 2:5020/510. (-DLOCALE)

4. Using of zone number in addresses is made obligatory, IMHO
   it's correct. To work correctly this needs:
	1. Substitute string "...|egrep f[0-9]*.n[0-9]*$" with
	"...|egrep f[0-9]*.n[0-9]*.z[0-9]*$" in send-ifmail;
	2. Links should be written in newsfeeds with zones included
	(f123.n5020.z2); 
	3. Second field of areafix' password file
	(misc/contrib/areafix*) should carry zone, e.g.
		f123.n5020.z2.fidonet.org:f123.n5020.z2:FOO

5. #ifdef's are slightly reordered in ifcico.c where command line
   arguments are parsed for the sake of better readability and simpler
   additions of new options.

6. Removal fields " Received: " at gated Internet->FidoNet mail. It is
   set in config of ifmail. (function getyesno() is added to
   rdconfig.c). (-DNO_RECEIVED)

7. Utility nlookup (Boris Tobotras) is added for search of the
   information about stations in nodelist.

8. The first symbol from the 'sentmode' config field will stand in the
   beginning of each line in ?lo ("#" is default).

9. The display of speed of connection in logs (the fact, modem says that).
   For incoming calls - command line option for ifcico -S < string >,
   which can be extracted for example from mgetty log-file just before
   ifcico is started by command like this:

   tail --lines=1 /var/log/mgetty/modem.log | sed -n "s/.*conn='\([^']*\)'.*/\1/p"

   (-DSHOW_SPEED)

10. Opportunity of simultaneous definition -DHAS_SYSLOG and
    -DHAS_FILLOG is added. This has been made because of under high
    load not all the lines are get to logs, and for separate logging
    of different lines and/or sessions and tossing (different
    configs). It is more convenient to gather statistics it this way.
    Program for statistics gathering is in
    misc/contrib/logstat. (-DHAS_FILLOG) 

11. In pkt ^aMSGID gets Fido-address (for our own outgoing letters). 
    If incoming mail carries our own address in ^aMSGID/^aREPLY, it is
    substituted with myfqdn. This is FidoNet :)
    ^aMSGID/^aREPLY <-> Message-ID/References is done correctly for
    addresses like 2:5020/123.0@FidoNet:
    2:5020/123.0@FidoNet -> p0.f123.n5020.z2@FidoNet -> 2:5020/123.0@FidoNet
    (-DFTN_MSGID)

12. Opportunity of connection for the external FREQ-processor is
    added. The description and the example of one is in
    misc/contrib/ifextrp. (-DEXT_FREQ) 

13. Substitution of X-Mailer and X-Newsreader lines into
    X-FTN-Tearline. (-DT_LINE)

14. Don't reconstruct an entire SEEN-BY after addition of one line,
    and simply add it to index. The author is Yar Tikhiy
    <yar@comp.chem.msu.su>. 

15. Time synchronization. See misc/contrib/timesync.

16. Hydra protocol (Arjen G. Lentz, LENTZ SOFTWARE-DEVELOPMENT),
    ported for ifmail by Vladimir Zarozhevsky 2:5050/17.
    I added only definition of speed of connection, see item 9,
    reflection of filenames in logs before transfer/reception and
    set time bug fixed for received files. Zmodem compatible reget.
    ifcico-ifcico bug fixed. (-DBI_HYDRA)

17. UTxy flag support (work time definition, accepted in Zone2) (Boris
    Tobotras). (-DHAVE_TXY)

18. Don't write messages with password, etc. by syslog. Write only into
    log-files. (-DSECURE_LOG)

19. Ported to FreeBSD, author Eugeny Kuzakov (kev@lab321.ru).
    Not tested by me. :)

20. Don't show a some kludges (nonFido), author Eugeny Kuzakov
    (kev@lab321.ru). (-DDENY_BAD_HEADERS)
